- Data is kept for 60 days. Each query can cover at most 15 minutes.
Path
Headers
| Field | Type | Required | Description |
|---|---|---|---|
Authorization | string | Yes | Token we provide |
Request parameters
| Field | Type | Required | Signed | Description |
|---|---|---|---|---|
channelID | number | Yes | ✓ | Channel ID (0 queries all channels) |
startTime | string | Yes | ✓ | Start time (see Time format) |
endTime | string | Yes | ✓ | End time (see Time format) |
nextToken | string | No | ✓ | Query token (empty on the first query, then the nextToken from the previous result) |
maxResults | number | Yes | ✓ | Maximum number of results (min 2000, max 5000) |
sign | string | Yes | Signature. See Signature for how to generate it |
Response
Success (the HTTP status code is always 200; checkstatus.code for the result)
| Field | Type | Description |
|---|---|---|
data | object | |
data.recordList | object[] | Event bet records |
data.recordList[].eventID | string | Event ID |
data.recordList[].grantID | string | Grant ID |
data.recordList[].channelID | number | Channel ID |
data.recordList[].account | string | Member account |
data.recordList[].betID | string | Unique bet ID |
data.recordList[].currency | string | Currency (contact our business team) |
data.recordList[].gameType | string | Game type (slot / fishing / tableGame) |
data.recordList[].gameID | number | Game ID |
data.recordList[].betMode | string | Bet mode (freespin: free spin event) |
data.recordList[].bet | number | Bet amount |
data.recordList[].payout | number | Payout amount |
data.recordList[].winLose | number | Win/loss amount |
data.recordList[].betTime | string | Bet time (see Time format) |
data.nextToken | string | Token for the next query (empty string on the last page) |
data.maxResults | number | Maximum number of results returned |
data.total | number | Total number of records in this query |
status | object | Response status. See Response format |
